Donor
Edit a donor
PUT
/
donor
/
{id}
/
edit
Edit a donor
curl --request PUT \
--url https://api.helpyousponsor.com/v1/donor/{id}/edit \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"client_id": "1",
"dn_donor_name": "John Doe",
"dn_payment_type": "CC Monthly",
"dn_child_sponsored": "Tonny Green",
"username": "new_username",
"email": "email@gmail.com",
"dn_address": "email@gmail.com",
"password": "new_password",
"id": "1",
"hysform_id": "1"
}
'import requests
url = "https://api.helpyousponsor.com/v1/donor/{id}/edit"
payload = {
"client_id": "1",
"dn_donor_name": "John Doe",
"dn_payment_type": "CC Monthly",
"dn_child_sponsored": "Tonny Green",
"username": "new_username",
"email": "email@gmail.com",
"dn_address": "email@gmail.com",
"password": "new_password",
"id": "1",
"hysform_id": "1"
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '1',
dn_donor_name: 'John Doe',
dn_payment_type: 'CC Monthly',
dn_child_sponsored: 'Tonny Green',
username: 'new_username',
email: 'email@gmail.com',
dn_address: 'email@gmail.com',
password: 'new_password',
id: '1',
hysform_id: '1'
})
};
fetch('https://api.helpyousponsor.com/v1/donor/{id}/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"message": "Profile saved"
}
}{
"message": "Validation error",
"errors": {
"username": "The username has already been taken."
}
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
ID of the donor to be edited
Body
application/json
Example:
"1"
Example:
"John Doe"
Example:
"CC Monthly"
Example:
"Tonny Green"
Example:
"new_username"
Example:
"email@gmail.com"
Example:
"email@gmail.com"
Example:
"new_password"
Example:
"1"
Example:
"1"
⌘I
Edit a donor

